Linekong Interactive Group Co Ltd

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/linekong-interactive-group-co-ltd/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/linekong-interactive-group-co-ltd/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1688169600000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://blockcast.it/2023/08/15/chinese-companies-that-purchased-bitcoin/",
    "holding_balance": 44.2,
    "holding_net_change": 44.2,
    "transaction_value_usd": 1351908.387334978,
    "average_entry_value_usd": 634.71,
    "transaction_value_calculated": true
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/linekong-interactive-group-co-ltd/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1782864000000,
    44.2
  ],
  [
    1782950400000,
    44.2
  ],
  [
    1783036800000,
    44.2
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/linekong-interactive-group-co-ltd/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1782864000000,
    2650433.11
  ],
  [
    1782950400000,
    2717762.086
  ],
  [
    1783036800000,
    2763648.758
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/linekong-interactive-group-co-ltd/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 0.203,
    "date": "2026-06-30",
    "high": 0.206,
    "open": 0.206,
    "close": 0.204,
    "volume": 6000
  },
  {
    "low": 0.206,
    "date": "2026-07-02",
    "high": 0.206,
    "open": 0.206,
    "close": 0.206,
    "volume": 20000
  },
  {
    "low": 0.206,
    "date": "2026-07-03",
    "high": 0.207,
    "open": 0.206,
    "close": 0.207,
    "volume": 5000
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/linekong-interactive-group-co-ltd/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 0,
  "quarterly_earnings_growth": -0.643,
  "eps_estimate_current_quarter": 0
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/linekong-interactive-group-co-ltd/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": -20.38,
  "six_month_return": -32.13,
  "three_month_return": -20.38
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/linekong-interactive-group-co-ltd/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 3.6,
  "total_btc_percentage": 0.0,
  "share_price_change_state": "up"
}